## The *write-quote.ps1* Script

This PowerShell script writes a random quote to the console.

## Parameters
```powershell
/home/mf/Repos/PowerShell/Scripts/write-quote.ps1 [<CommonParameters>]

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

## Example
```powershell
PS> ./write-quote

```

## Notes
Author: Markus Fleschutz | License: CC0

## Related Links
https://github.com/fleschutz/PowerShell

## Source Code
```powershell
<#
.SYNOPSIS
	Writes a quote to the console
.DESCRIPTION
	This PowerShell script writes a random quote to the console.
.EXAMPLE
	PS> ./write-quote
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

try {
	$Table = Import-CSV "$PSScriptRoot/../Data/quotes.csv"

	$Generator = New-Object System.Random
	$Index = [int]$Generator.next(0, $Table.Count - 1)
	$Quote = $Table[$Index].QUOTE
	$Author = $Table[$Index].AUTHOR

	Write-Output ""
	Write-Host '“'"$Quote"'„'
	$Spaces = "                                                                                       "
	$Spaces = $Spaces.Substring(0, $Quote.Length - $Author.Length)
	Write-Output "$Spaces- $($Author.toUpper())"	
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
```

*Generated by convert-ps2md.ps1 using the comment-based help of write-quote.ps1*
